Loading...
Searching...
No Matches
urep.h File Reference

C API: Callbacks for UReplaceable. More...

`#include "unicode/utypes.h"`

Go to the source code of this file.

## Data Structures

struct | UReplaceableCallbacks
| A set of function pointers that transliterators use to manipulate a UReplaceable. More...

## Typedefs

typedef void * | UReplaceable
| An opaque replaceable text object.
typedef struct UReplaceableCallbacks | UReplaceableCallbacks
| A set of function pointers that transliterators use to manipulate a UReplaceable.

## Detailed Description

C API: Callbacks for UReplaceable.

Definition in file urep.h.

## Typedef Documentation

## UReplaceable

typedef void* UReplaceable

An opaque replaceable text object.

This will be manipulated only through the caller-supplied UReplaceableFunctor struct. Related to the C++ class Replaceable. This is currently only used in the Transliterator C API, see utrans.h .

Stable
  ICU 2.0

Definition at line 44 of file urep.h.

## UReplaceableCallbacks

typedef struct UReplaceableCallbacks UReplaceableCallbacks

A set of function pointers that transliterators use to manipulate a UReplaceable.

The caller should supply the required functions to manipulate their text appropriately. Related to the C++ class Replaceable.

Stable
  ICU 2.0